COPYFILERANGE(1)

BEZEICHNUNG
copyfilerange - Dateibereich(e) aus einer Quell- in eine Zieldatei kopieren

ÜBERSICHT

copyfilerange [Optionen] Quelle Ziel Bereich …

BESCHREIBUNG

Der Befehl copyfilerange kopiert Byte-Bereiche von der Quell- zur Zieldatei. Es ist ein einfaches Hilfsprogramm zum Aufruf des Systemaufrufs copy_file_range(2).

Der Befehl kann verwendet werden, um Dateien mit nicht zugewiesenen Lücken (Sparse-Dateien) zu erstellen und/oder Blöcke zwischen mehreren Dateien zu teilen (Reflinks).

Jeder Bereich hat die Form_Quell-Versatz_:Ziel-Versatz:Länge, wobei alle Werte in Bytes angegeben werden. Ist Länge gleich 0, werden alle verfügbaren Daten kopiert. Es können mehrere Bereiche angegeben werden.

Wenn eine oder beide der Positionen weggelassen werden, verwendet die Aktion die zuletzt verwendete Dateiposition, beginnend mit 0.

OPTIONEN

-r, --ranges Datei
    liest aus der angegebenen Datei durch Zeilenumbrüche getrennte Bereiche.

-v, --verbose
    gibt ausführliche Meldungen zu kopierten Dateibereichen aus.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

0
    Erfolg

1
    Nicht näher bezeichneter Fehler.

ANMERKUNGEN

Der Systemaufruf copy_file_range(2) hat einige wichtige Einschränkungen: Quell- und Zieldatei müssen denselben Dateisystemtyp verwenden, und manche virtuelle Dateisysteme (wie zum Beispiel procfs) funktionieren nicht. copy_file_range(2) verwendet Reflinks, sofern das Dateisystem dies unterstützt. Um Reflinks zu verwenden, muss der Dateibereich in der Regel mit der Blockgröße des Dateisystems sowohl der Quell- als auch der Zieldatei übereinstimmen.

AUTOREN

BEISPIELE

    copyfilerange Originaldatei Reflink ::

    copyfilerange Originaldatei erster-Block ::4096

    copyfilerange Originaldatei geradzahlige-Blöcke -r <(seq 0 8192 40960|awk '{print $1"::4096"}')

    copyfilerange Originaldatei Sparse-Datei 0:1M:1

    copyfilerange Originaldatei erster-Teilungspunkt ::1M

    copyfilerange Originaldatei Teilungs-Rest 1M::

    copyfilerange erster-Teilungspunkt join ::

    copyfilerange split-remainder join :1M:

SIEHE AUCH

copy_file_range(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl copyfilerange ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.